MPD 0.20.6

- Main Page
- Namespaces
- Data Structures
- Files

- File List
- Globals

Functions
ls.hxx File Reference
`#include "Compiler.h"`
`#include <stdio.h>`
Include dependency graph for ls.hxx:

Go to the source code of this file.

## Functions
gcc_pure bool | uri_supported_scheme (const char *url)
| Checks whether the scheme of the specified URI is supported by MPD. More...
void | print_supported_uri_schemes (Response &r)
| Send a list of supported URI schemes to the client. More...
void | print_supported_uri_schemes_to_fp (FILE *fp)
| Send a list of supported URI schemes to a file pointer. More...

## Function Documentation

void print_supported_uri_schemes | ( | Response & | r | ) |

Send a list of supported URI schemes to the client.

This is the response to the "urlhandlers" command.

void print_supported_uri_schemes_to_fp | ( | FILE * | fp | ) |

Send a list of supported URI schemes to a file pointer.

gcc_pure bool uri_supported_scheme | ( | const char * | url | ) |

Checks whether the scheme of the specified URI is supported by MPD.

It is not allowed to pass an URI without a scheme, check with uri_has_scheme() first.